Search shared events
GET /api/shared-events/search
Search / List events for a shared conversation. Because non-viewable events (e.g. ConversationStateUpdateEvent) are filtered out after fetching, a single backend page may yield fewer items than limit. This method transparently fetches additional backend pages until the requested limit is reached or there are no more results.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversation_id | query | string | yes | — |
kind__eq | query | `enum | null` | no |
timestamp__gte | query | `string | null` | no |
timestamp__lt | query | `string | null` | no |
sort_order | query | EventSortOrder | no | — |
page_id | query | `string | null` | no |
limit | query | integer | no | — |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
items | Event-Output[] | yes | — |
next_page_id | `string | null` | no |
Operation ID: search_shared_events_api_shared_events_search_get